import * as yup from 'yup';

export const RegistValidation = yup.object({
	username: yup.string().matches(/^[가-힣a-zA-Z]+$/, '한글, 영문만 입력이 가능합니다.'),
	userid: yup.string().matches(/^[0-9a-zA-Z]([-_.]?[0-9a-zA-Z])*@[0-9a-zA-Z]([-_.]?[0-9a-zA-Z])*.[a-zA-Z]{2,3}$/i, '메일주소가 올바르지 않습니다.'),
	password: yup
		.string()
		.min(8, '8~20자로 입력하십시오.')
		.max(20, '8~20자로 입력하십시오.')
		.oneOf([yup.ref('password'), null], '현재 비밀번호가 일치하지 않습니다.'),
	confirmPassword: yup
		.string()
		.min(8, '8~20자로 입력하십시오.')
		.max(20, '8~20자로 입력하십시오.')
		.oneOf([yup.ref('password'), null], '비밀번호가 일치하지 않습니다.')
		.required('비밀번호를 한번 더 입력해주세요.'),
});
